Which operating systems support for Vidmate App?

edited June 2018 in Vidmate App

The Vidmate application only supports the Android operating system running devices. But it requires at least 4.0 or later Android versions running devices.

This app hasn’t any iOS or Windows version yet. :'(

Sign In or Register to comment.